#ifndef _DICOMLIB_H_
#define _DICOMLIB_H_

/********** Prototype decllaration *****************************************/
struct DICOMTAG {
  unsigned short group;
  unsigned short element;
  char vr[3],name[128]; 
};
struct TARGETTAG {
  int num;
  unsigned short group;
  unsigned short element;
  char vtype[4],name[128]; 
};
int check_file(FILE *,char *);
int close_file(FILE *);
int copy_binary(FILE *,FILE *);
int eval_ifendian(FILE *fp);
int get_sloc(char *,double *);
void get_RTdoseheader(FILE *);
void get_RTimageheader(FILE *);
void get_RTimageheader0(FILE *,int *,int *,int *,
			double *,double *,double *,
			double *,double *,
			double *,double *,double *);
int get_RTimagedata(FILE *,int,int,double,double,float *);
int open_file(FILE **, char *, char *);
int overwrite_RTdoseheader(FILE *,double *,int *,
			   float, int *,double *,
			   int, float *,double *,double,
			  char *,char *,char *);
int overwrite_RTdosedata(FILE *,double,int,float *);
int readwrite_dicomheader(FILE *,FILE *);
#endif // _DICOMLIB_H_
